# User and Purchase Details

## Get the user Details and subscriptions.

<mark style="color:blue;">`GET`</mark> `{API_URL}/user/user-and-purchase-details`

Auth required: NO

#### Query Parameters

| Name        | Type          | Description              |
| ----------- | ------------- | ------------------------ |
| userId      | String        | user id of the user      |
| email       | String        | email of the user        |
| phoneNumber | String        | phone number of the user |
| from        | ISODateString |                          |
| to          | ISODateString |                          |

{% tabs %}
{% tab title="200: OK " %}

{% endtab %}
{% endtabs %}

> You need to pass either phone number or email of the user from which hw has made the purcahse.

```json
{
    "userdetails": {
        "name": "Pushpankar",
        "phoneNumber": "9936225088",
        "secondaryEmail": "skdfjn@jnadf.com",
        "address": {
            "apartment": "Flat",
            "area": "Area",
            "pincode": "Zip",
            "landmark": "",
            "city": "City",
            "state": "ANDAMAN & NICOBAR ISLANDS",
            "country": "IN"
        },
        "country": "IN",
        "promotionalOptIn": true,
        "lastPurchasedOn": "2023-04-17T14:01:00.411Z",
        "wallet": {
            "balance": {
                "$numberDecimal": "0.00"
            },
            "currency": "INR"
        }
    },
    "userSubscriptions": [
        {
            "_id": "63b2b8b938dcac1e9a1d55c6",
            "client": "Demo Client",
            "price": 400,
            "gst": 61.01711999999999,
            "purchasedOn": "2023-01-02T10:58:01.603Z",
            "subscriptionTitle": "Digital",
            "expiryDate": "2023-02-02T10:58:01.600Z",
            "subscriptionType": {
                "physical": false,
                "digital": true,
                "adFree": false
            },
        "partialAccess": false,
	 "sectionsInclude": [],
	 "authorsInclude": [],
	 "sectionsExclude": [],
	 "authorsExclude": [],
	 "tagsInclude": [],
	 "tagsExclude": [],
            "benefits": "It's very good,Very Helpful,Good to read,Good content,50% OFF, 100% OFF",
            "logoUrl": "https://conscent-public.s3.ap-south-1.amazonaws.com/Static+Assets/Outlook-Logo.png\n",
            "freeTrial": false,
            "tierId": "6347b644bff071350cfd0f55",
            "clientId": "5f92a62013332e0f667794dc",
            "gstComponents": {
                "physical": 0,
                "digital": 0
            },
            "subscriptionDurationInMonths": 1,
            "subscriptionPriceInInr": 400,
            "allowCancellation": false,
            "cancellationUrl": "",
            "allowRenewal": true,
            "renewalUrl": "https://dashboards.tsbdev.co/dashboard/consumption?subscription=63b2b8b938dcac1e9a1d55c6"
        },
        {
            "_id": "637f9be1837ec364a7fa1683",
            "client": "Demo Client",
            "price": 49,
            "gst": 7.4745972,
            "purchasedOn": "2022-11-24T16:29:21.159Z",
            "subscriptionTitle": "AD Free-Lite",
            "expiryDate": "2022-12-24T16:29:21.153Z",
            "subscriptionType": {
                "physical": false,
                "digital": false,
                "adFree": true
            },
						"partialAccess": false,
			      "sectionsInclude": [],
			      "authorsInclude": [],
			      "sectionsExclude": [],
			      "authorsExclude": [],
			      "tagsInclude": [],
			      "tagsExclude": [],
            "benefits": "Ad-free experience, Digital Access, Premium Content",
            "logoUrl": "https://conscent-public.s3.ap-south-1.amazonaws.com/Static+Assets/Outlook-Logo.png\n",
            "freeTrial": false,
            "tierId": "61e951161a563d0729652d23",
            "clientId": "5f92a62013332e0f667794dc",
            "gstComponents": {
                "physical": 0,
                "digital": 0
            },
            "subscriptionDurationInMonths": 1,
            "subscriptionPriceInInr": 49,
            "allowCancellation": false,
            "cancellationUrl": "",
            "allowRenewal": true,
            "renewalUrl": "https://dashboards.tsbdev.co/dashboard/consumption?subscription=637f9be1837ec364a7fa1683"
        }
    ],
    "passes": [
        {
            "_id": "637c710d7153ef201cd8be8f",
            "client": "Demo Client",
            "price": 78,
            "gst": 11.898338399999998,
            "purchasedOn": "2022-11-22T06:49:49.989Z",
            "expiryDate": "2022-11-22T13:49:49.968Z",
            "freeTrial": false,
            "clientId": "5f92a62013332e0f667794dc",
            "gstComponents": {
                "physical": 0,
                "digital": 0
            }
        }
    ],
    "payPerUses": [
        {
            "_id": "643d511c0dfb996ad37a0f1c",
            "client": "Demo Client",
            "price": 10,
            "gst": 1.525428,
            "purchasedOn": "2023-04-17T14:01:00.377Z",
            "expiryDate": "2023-04-24T14:01:00.350Z",
            "freeTrial": false,
            "clientId": "5f92a62013332e0f667794dc",
            "gstComponents": {
                "physical": 0,
                "digital": 0
            }
        },
        {
            "_id": "642bbb2b5a3e9b1441cbb058",
            "client": "Demo Client",
            "price": 9999,
            "gst": 1525.2754572,
            "purchasedOn": "2023-04-04T05:52:43.823Z",
            "expiryDate": "2023-04-06T05:52:43.810Z",
            "freeTrial": false,
            "clientId": "5f92a62013332e0f667794dc",
            "gstComponents": {
                "physical": 0,
                "digital": 0
            }
        },
        {
            "_id": "64103ec1644c430727a2b654",
            "client": "Demo Client",
            "price": 10,
            "gst": 1.525428,
            "purchasedOn": "2023-03-14T09:30:41.364Z",
            "expiryDate": "2023-03-16T09:30:41.345Z",
            "freeTrial": false,
            "clientId": "5f92a62013332e0f667794dc",
            "gstComponents": {
                "physical": 0,
                "digital": 0
            }
        },
        {
            "_id": "637f9b78837ec364a7fa151c",
            "client": "Demo Client",
            "price": 16,
            "gst": 2.4406848,
            "purchasedOn": "2022-11-24T16:27:36.304Z",
            "expiryDate": "2022-11-26T16:27:36.294Z",
            "freeTrial": false,
            "clientId": "5f92a62013332e0f667794dc",
            "gstComponents": {
                "physical": 0,
                "digital": 0
            }
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conscent.ai/integrating-with-apis/user-and-purchase-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
